Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Intermittent Error downloading npm dependecies: npm version 1.4.3, node version v0.10.26 #5460

Closed
emc2ehv opened this Issue Jun 10, 2014 · 2 comments

Comments

Projects
None yet
3 participants

emc2ehv commented Jun 10, 2014

     [exec] npm http 200 http://registry.npmjs.org/delayed-stream/0.0.5
     [exec] npm ERR! registry error parsing json
     [exec] npm ERR! SyntaxError: Unexpected token <
     [exec] npm ERR! 
     [exec] npm ERR! <?xml version="1.0" encoding="utf-8"?>
     [exec] npm ERR! <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     [exec] npm ERR!  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
     [exec] npm ERR! <html>
     [exec] npm ERR!   <head>
     [exec] npm ERR!     <title>200 OK</title>
     [exec] npm ERR!   </head>
     [exec] npm ERR!   <body>
     [exec] npm ERR!     <h1>Error 200 OK</h1>
     [exec] npm ERR!     <p>OK</p>
     [exec] npm ERR!     <h3>Guru Meditation:</h3>
     [exec] npm ERR!     <p>XID: 724797158</p>
     [exec] npm ERR!     <hr>
     [exec] npm ERR!     <p>Varnish cache server</p>
     [exec] npm ERR!   </body>
     [exec] npm ERR! </html>
     [exec] npm ERR! 
     [exec] npm ERR!     at Object.parse (native)
     [exec] npm ERR!     at RegClient.<anonymous> (<node_home>/lib/node_modules/npm/node_modules/npm-registry-client/lib/request.js:203:23)
     [exec] npm ERR!     at Request.self.callback (<node_home>/lib/node_modules/npm/node_modules/request/request.js:123:22)
     [exec] npm ERR!     at Request.EventEmitter.emit (events.js:98:17)
     [exec] npm ERR!     at Request.<anonymous> (<node_home>/lib/node_modules/npm/node_modules/request/request.js:893:14)
     [exec] npm ERR!     at Request.EventEmitter.emit (events.js:117:20)
     [exec] npm ERR!     at IncomingMessage.<anonymous> (<node_home>/lib/node_modules/npm/node_modules/request/request.js:844:12)
     [exec] npm ERR!     at IncomingMessage.EventEmitter.emit (events.js:117:20)
     [exec] npm ERR!     at _stream_readable.js:920:16
     [exec] npm ERR!     at process._tickCallback (node.js:415:13)
     [exec] npm ERR! If you need help, you may report this *entire* log,
     [exec] npm ERR! including the npm and node versions, at:
     [exec] npm ERR!     <http://github.com/npm/npm/issues>
     [exec] 
     [exec] npm ERR! System Linux 2.6.39-400.21.1.el6uek.x86_64
     [exec] npm ERR! command "<node_home>/bin/node" "<node_home>/bin/npm" "install" "."
     [exec] npm ERR! cwd <repo_home>
     [exec] npm ERR! node -v v0.10.26
     [exec] npm ERR! npm -v 1.4.3
     [exec] npm ERR! type unexpected_token
     [exec] npm ERR! 
     [exec] npm ERR! Additional logging details can be found in:
     [exec] npm ERR!     <repo_home>/npm-debug.log
     [exec] npm ERR! not ok code 0

emc2ehv commented Jun 11, 2014

More logs
18617 silly gunzTarPerm extractEntry node-menunav/node-menunav-coverage.js
18618 silly gunzTarPerm extractEntry node-menunav/node-menunav-debug.js
18619 error phantomjs@1.9.7-8 install: node install.js
18619 error Exit status 1
18620 error Failed at the phantomjs@1.9.7-8 install script.
18620 error This is most likely a problem with the phantomjs package,
18620 error not with npm itself.
18620 error Tell the author that this fails on your system:
18620 error node install.js
18620 error You can get their info via:
18620 error npm owner ls phantomjs
18620 error There is likely additional logging output above.
18621 error System Linux 2.6.39-100.5.1.el6uek.x86_64
18622 error command "<node_home>/nodejs/bin/node" "/usr/bin/npm" "install" "."
18623 error cwd <project_home>
18624 error node -v v0.10.26
18625 error npm -v 1.4.3
18626 error code ELIFECYCLE
18627 verbose exit [ 1, true ]

Contributor

othiym23 commented Sep 19, 2014

This was happening a lot during a rough patch in the registry's transition to using its current CDN; we believe these issues have all worked themselves out. Let us know if you see this again.

@othiym23 othiym23 closed this Sep 19, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment